Subject: bug#20489: 25.0.50; next-error-find-buffer chooses non-current buffer without good reason

From: Dmitry Gutov <[email-masked]>
Date: Fri, 2 Mar 2018 03:26:17 +0200

On 3/2/18 12:58 AM, Juri Linkov wrote:

> Actually no new feature is needed, ‘display-buffer-alist’ is powerful enough,
> and this can be easily implemented with a few lines of code:
> 
> 1. next-error for *xref* to reuse the same window:
> 
> ...
> 
> 2. with e.g. two *grep* windows, typing RET to select the right locus window:
> 
> ...
Both of these sound pretty cool (and a fair distance over my head). I'm 
not sure they'd make a radical change to any of my workflows. In many 
ways, I feel window management is a bit of a lost cause in Emacs, and if 
anyone's going to fix that, next-error is probably not the place to start.